#include <vButton.h>
#include <ubixButton.h>
#include <ubixDesktop.h>
#include <stdlib.h>

int main(void) {
  ubixDesktop * desktop = new ubixDesktop(NULL);
  if (desktop!=NULL) cout << "Desktop created" << endl;
  ubixButton * daButton = new ubixButton(desktop);
  if (daButton != NULL) cout << "da uBix button was created" << endl;
  delete daButton;
  delete desktop;

  return 0;
}
